All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::CenteringTransform Struct Reference

`#include <VectorTransform.h>`

Inheritance diagram for faiss::CenteringTransform:

## Public Member Functions

| CenteringTransform (int d=0)
void | train (Index::idx_t n, const float *x) override
| train on n vectors.
void | apply_noalloc (idx_t n, const float *x, float *xt) const override
| subtract the mean
void | reverse_transform (idx_t n, const float *xt, float *x) const override
| add the mean
Public Member Functions inherited from faiss::VectorTransform
| VectorTransform (int d_in=0, int d_out=0)
| ! output dimension
float * | apply (idx_t n, const float *x) const

## Public Attributes

std::vector< float > | mean
| Mean, size d_in = d_out.
Public Attributes inherited from faiss::VectorTransform
int | d_in
int | d_out
| ! input dimension
bool | is_trained

## Additional Inherited Members

Public Types inherited from faiss::VectorTransform
typedef Index::idx_t | idx_t

## Detailed Description

Subtract the mean of each component from the vectors.

Definition at line 249 of file VectorTransform.h.

The documentation for this struct was generated from the following files:

- /data/users/hoss/faiss/VectorTransform.h
- /data/users/hoss/faiss/VectorTransform.cpp